<?php

/*
 * knitProPlus is based on knitPro - a web application for generating
 * knitting patterns
 * Copyright (C) 2004 - 2005  Cat Mazza & Eric St. Onge
 * 
 * Incorporates extensive enhancements for TheKnittingSite
 * <http://www.theknittingsite.com/>
 * Copyright (C) 2010 John Dablin
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 * 
 * Send questions or comments to penny@theknittingsite.com
 */
 
 // Do not load this file in a web browser directly. Load index.php instead.
 
?><!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
"http://www.w3.org/TR/html4/loose.dtd">
<html lang="en">
<head>
<title>// knitPro web app</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<style type="text/css">
body {
    color: #000000;
    background-color: #9acccd;
    font-family: Verdana, Arial, Helvetica, sans-serif;
    font-size: 100%;
    }

#content {
    width: 600px;
    margin: 0 auto;
    border: 1px #333333 solid;
    color: #000000;
    background-color: #ffffff;
    padding: 0;
    font-size: 75%;
    }

#knitpro_input {
    padding: 0 10px 10px 10px;
    }

tr {
    vertical-align: top;
    }

th {
    text-align: left;
    }

input#submit {
    margin-top: 10px;
    margin-bottom: 10px;
    }

.knitpro_notes {
    margin: 0 10px;
    font-size: 75%;
    }

#gpl {
    padding: 10px;
    border-top: 1px solid #333333;
    color: #000;
    background-color: #eee;
    }

#gpl p {
    text-align: center;
    font-size: 75%;
    }
    
</style>
</head>

<body>
 <div id="content">
   <div id="knitpro_input">
    <h1><em>KnitProPlus</em></h1>
        <p>Choose a GIF, JPEG, or PNG image (file should be less than 4 MB).</p>
<?php
    if (is_null($pdf_file))
    {
        // check to see if an error message has been set. if so, print it out here.
        if (!is_null($errMsg))
            echo "<p style=\"color: #f00;\"><b>{$errMsg}</b></p>\n"; 
        
?>
<form enctype="multipart/form-data" action="index.php" method="post">
  
  <table>
    <tr>
      <th colspan="2">Grid size:</th>
    </tr>
    <tr>
      <td><input type="radio" id="gp1" name="grid_preset" value="1"<?php
  
  if (isset($_POST["grid_preset"]) && $_POST["grid_preset"] == "1") {
          echo " checked";
  }
  
  ?>></td>
      <td><label for="gp1">Tiny (21w x 28h)</label></td>
    </tr>
    <tr>
      <td><input type="radio" id="gp2" name="grid_preset" value="2"<?php
  
  if (isset($_POST["grid_preset"]) && $_POST["grid_preset"] == "2") {
          echo " checked";
  }
  
  ?>></td>
      <td><label for="gp2">Small (30w x 40h)</label></td>
    </tr>
    <tr>
      <td><input type="radio" id="gp3" name="grid_preset" value="3"<?php
  
  if (!isset($_POST["grid_preset"])) {
           echo " checked";
  }
  else if (isset($_POST["grid_preset"]) && $_POST["grid_preset"] == "3") {
           echo " checked";
  }
  
  ?>></td>
      <td><label for="gp3">Regular (48w x 64h)</label></td>
    </tr>
    <tr>
      <td><input type="radio" id="gp4" name="grid_preset" value="4"<?php
  
  if (isset($_POST["grid_preset"]) && $_POST["grid_preset"] == "4") {
           echo " checked";
  }
  
  ?>></td>
      <td><label for="gp4">Big (96w x 128h)</label></td>
    </tr>
    <tr>
      <td><input type="radio" id="gp5" name="grid_preset" value="5"<?php
  
  if (isset($_POST["grid_preset"]) && $_POST["grid_preset"] == "5") {
          echo " checked";
  }
  
  ?>></td>
      <td><label for="gp5">XL (120w x 160h)</label></td>
    </tr>
  </table>

  <table>
    <tr>
      <th colspan="2">Stitch size:</th>
    </tr>
    <tr>
      <td><input type="radio" id="sp1" name="stitch_preset" value="1"<?php
  
  if (isset($_POST["stitch_preset"]) && $_POST["stitch_preset"] == "1") {
          echo " checked";
  }
  
  ?>></td>
      <td><label for="sp1">Needlepoint, Cross Stitch, Crochet (1:1)</label></td>
    </tr>
    <tr>
      <td><input type="radio" id="sp3" name="stitch_preset" value="3"<?php
  
  if (isset($_POST["stitch_preset"])) {
      if ($_POST["stitch_preset"] == "3") {
          echo " checked";
      }
  }
  else {
          echo " checked";
  }
  
  ?>></td>
       <td><label for="sp3">Knitting (5:4)</label></td>
     </tr>
     <tr>
       <td><input type="radio" id="sp4" name="stitch_preset" value="4"<?php
  
  if (isset($_POST["stitch_preset"]) && $_POST["stitch_preset"] == "4") {
          echo " checked";
  }
  
  ?>></td>
     <td><label for="sp4">Knitting, custom stitch size (from tension square):</label>
       <table style="margin-left: 40px;">
         <tr>
           <td><label for="stitches">Stitches per 4" (10cm):</label></td>
           <td><input type="text" id="stitches" name="stitches" size="3" maxlength="3"<?php
           if (isset($_POST['stitches']))
               echo ' value="' . htmlspecialchars($_POST['stitches'], ENT_QUOTES) . '"';
           ?>></td>
         </tr>
         <tr>
           <td><label for="rows">Rows per 4" (10cm):</label></td>
           <td><input type="text" id="rows" name="rows" size="3" maxlength="3"<?php
           if (isset($_POST['rows']))
               echo ' value="' . htmlspecialchars($_POST['rows'], ENT_QUOTES) . '"';
           ?>></td>
         </tr>
       </table>

       </td>
     </tr>
   </table>

   <table>
     <tr>
       <td>
           <input type='hidden' name='action' value='generate'>
           <input type="hidden" name="MAX_FILE_SIZE" value="4194304">
         Process this file: 
       </td>
       <td>
<?php

        // the input NAME attribute should be set to the UPLOAD_NAME value defined in index.php.

?>         <input name="userfile" type="file">
       </td>
     </tr>
        
     <tr>
       <td>&nbsp;</td>
       <td><input id="submit" name="submit" type="submit" value="Create Pattern"></td>
     </tr>
   </table>
</form>
      <p class="knitpro_notes">KnitPro will create a .pdf file to download
        to your computer.<br>
        If you are having problems with knitPro try downloading the latest version 
        of Acrobat.<br>
        If your file creates an all black or all white grid, your image is likely 
        to have &quot;indexed&quot; color. <br>
        Please change the image to RGB and then use KnitPro.<br>
        Email: <a href="mailto:knitPro@microrevolt.org">knitProATmicrorevolt.org</a> 
        if you have technical questions or comments.</p>
<?php
    }
    else
    {
    // $pdf_file is not null, but is the name of the pdf file containing the
    // converted image
        /* (Commented out. If reactivated, change $pdf_file to $zip_file
           in the link below)
        // code to create a zip file of the PDF. This should force the
        // browser to open a download dialog box. Downloading the PDF
        // directly will probably cause Acrobat Reader to open the file
        // within the browser

        $zip_file = preg_replace('/\.pdf$/', '.zip', $pdf_file);
        $zip = new ZipArchive;
        $cwd = getcwd() . '/';
        if (!$zip->open($cwd . $zip_file, ZIPARCHIVE::CREATE))
        {
            echo 'Failed to create zip file "' . $zip_file . "\"\n";
            exit();
        }
        $zip->addFile($cwd . $pdf_file, basename($pdf_file));
        $zip->close();
        */
?>
        <p>Your file has been successfully converted</p>
        <p><a href="<?php echo $pdf_file; ?>">Download the converted file</a></p>
        <p><a href="index.php">Convert another file</a></p>
<?php
    }
?>

  </div>
  <div id="gpl">
<p>

<!-- Creative Commons License -->
<a href="http://creativecommons.org/licenses/GPL/2.0/">
<img alt="CC-GNU GPL" border="0" src="img/cc-GPL-a.png"></a><br>
This software is licensed under the <a href="http://creativecommons.org/licenses/GPL/2.0/">CC-GNU GPL</a>.
<!-- /Creative Commons License -->
<br>With thanks to <a href="http://www.microrevolt.org/">microRevolt</a> for
the original <a href="http://www.microrevolt.org/knitPro.htm">KnitPro 2.0</a>
on which this is based.
</p>
<!-- <p>&nbsp;</p> -->
  </div>
</div>
</body>
</html>
